org.apache.hc.client5.http.sync

## Interface ResponseHandler<T>

All Known Implementing Classes:
  AbstractResponseHandler, BasicResponseHandler

    public interface ResponseHandler<T>

Handler that encapsulates the process of generating a response object from a `HttpResponse`.

Since:
  4.0

### Method Summary

Methods
`T` `handleResponse(org.apache.hc.core5.http.HttpResponse response)` Processes an `HttpResponse` and returns some value corresponding to that response.

### Method Detail

#### handleResponse

    T handleResponse(org.apache.hc.core5.http.HttpResponse response)
                     throws IOException

Processes an `HttpResponse` and returns some value corresponding to that response.

Parameters:
  `response` - The response to process
Returns:
  A value determined by the response
Throws:
  `IOException` - in case of a problem or the connection was aborted